NetWorker: Error "A file that is required cannot be installed because the cabinet file <> has an invalid digital signature"

           

   Article Number:     496571                                   Article Version: 3     Article Type:    Break Fix 
   

 


Product:

 

NetWorker Family,NetWorker 9.1

 

Issue:

 

 

During an installation or upgrade to NetWorker 9.1.0.3 on a Windows 2008 R2 Server without internet access, the installation wizard reports a certificate error and doesn’t allow it to finish.   

 User-added image    
   
      EMC Config Checker throws the following error:     
          
   
      A file that is required cannot be installed because the cabinet file C:\ProgramData\Package Cache\{1FF1A0E0-17B9-4F8C-85BC-D782BC52E941}v9.1.0.3\cfgk1.cab has an invalid digital signature. This may indicate that the cabinet file is corrupt.   
                                                             

 

 

Cause:

 

 

As the server has no internet connection or it has blocked the option to download specific files, the installation wizard is not able to download the new certificate and hence validate the installation package.   
   
     
                                                           

 

 

Resolution:

 

 

To solve this issue, it is necessary to download and install the certificates attached to this KB.   
   
    To install the certificates you have to follow this steps:   

         
  1.         Open Microsoft Certification Manager console - certmgr.msc     
  2.      
  3.         Select "Trusted Root Certification Authorities" and press right click     
  4.      
  5.         From "All Tasks" select "Import"     
  6.      
  7.         Choose the cert file you have downloaded from this KB and install it with default values.     
  8.    
                      User-added image   
   
    Now the installation or upgrade should proceed without any issue.